Subject: Re: linux-next: manual merge of the signal tree with Linus' tree

From: James Hogan <[email-masked]>
Date: Mon, 4 Mar 2013 10:16:32 +0000

On 04/03/13 02:03, Stephen Rothwell wrote:
> Hi Al,
> 
> Today's linux-next merge of the signal tree got a conflict in
> include/asm-generic/unistd.h between commit 4dd3c95940b8
> ("asm-generic/unistd.h: handle symbol prefixes in cond_syscall") from
> Linus' tree and commit 24a2641326f1 ("consolidate cond_syscall and
> SYSCALL_ALIAS declarations") from the signal tree.
> 
> I fixed it up (I used the signal tree version as I think it supersedes
> the former) and can carry the fix as necessary (no action is required).

Hi Stephen, Al,

It needs this change too, to match the change to arch/blackfin,
otherwise the build breaks for metag.

Cheers
James

diff --git a/arch/metag/include/asm/linkage.h b/arch/metag/include/asm/linkage.h
index 73bf25b..79c69bb 100644
--- a/arch/metag/include/asm/linkage.h
+++ b/arch/metag/include/asm/linkage.h
@@ -4,4 +4,6 @@
 #define __ALIGN .p2align 2
 #define __ALIGN_STR ".p2align 2"
 
+#define SYMBOL_NAME(_name_) _##_name_
+
 #endif